Results 1 to 7 of 7
Discuss 3gs on 4.0 stock, need unlock by Oct. at the General - Hackint0sh.org; I have a 3gs which has been updated over time from whatever it came with ...
  1. #1
    Newbie Array

    Join Date
    Jul 2010
    Posts
    8
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 3gs on 4.0 stock, need unlock by Oct.

    I have a 3gs which has been updated over time from whatever it came with os wise to iOS4.0 currently.

    I know there is no published working jailbrake and unlock for the 3gs (Apple apparently figured out how to lock this phone down well) at the current moment.

    What should I do/not do between now and October. I was thinking I'd better keep it at version 4.0 for now. Is there anything else to do in the meantime besides wait and keep the phone status quo?

    Is there a disincentive to updating to 4.0.1? Will I continue to make things worse by doing so?

    I am going to Amsterdam in October and would like to unlock by then so I can buy a sim over there and use my phone. I will suck it up and turn off the radio and use skype over WiFi if I need to while I'm there but would prefer a phone that wasn't dependent on WiFi while there.

    What would be best practice given the few months I have to wait before I need an unlock?



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Stay at 4.0

    Get your SHSH for 4.0.1 backed up with TinyUmbrella (this takes only a minute and does not require you to upgrade your OS or jailbreak)

    Otherwise wait.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Newbie Array

    Join Date
    Jul 2010
    Posts
    8
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default wait theres ambiguity here

    Hold on one sec, I'm confused.

    First you said get my SHSH, but implied I could be at 4.0.1

    I can get my SHSH with tiny umbrella right now at 4.0.

    Could I then update to 4.0.1 and get the SHSH for 4.0.1 or would I be better off just staying put at 4.0?

    Thanks!

  4. #4
    Newbie Array

    Join Date
    Jul 2010
    Posts
    8
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default my bad double post

    Sorry to double post, I downloaded tiny umbrella and ran it, and the resulting file is named xxxxxxxxxxxxx-iphone-4.0.1.shsh

    I am not running 4.0.1
    I am running 4.0

    Problem? Does this mean it's too late to generate a 4.0 shsh?

    Sorry if I'm asking stupid questions that have been asked before.

  5. #5
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    It is no longer possible to get a 4.0 SHSH for any iPhone

    Don't confuse running an iOS version with the ability to request a SHSH for a specific iOS version.

    The point of a SHSH is that it is used to personalise a specific iOS ipsw so that a restore/upgrade/downgrade to that iOS version is accepted by your iPhone.

    If Apple still issues SHSH for a specific iOS version - all you need to request it from apple is your ECID (unique iPhone identifier).

    The whole point of saving/caching a SHSH blob for each iOS version is so you retain the ability to restore or downgrade to that iOS version for ever. This allows you to downgrade to a version that has a working jailbreak. This is why Apple stops signing SHSH for old iOS versions - once they have patched the jailbreak hole with a new iOS release.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!


  6. #6
    Newbie Array

    Join Date
    Jul 2010
    Posts
    8
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 4.0.1

    So since I can only get the SHSH for 4.0.1, and I have no intimate knowledge of the impending jb release, and whether it makes any difference if one is on 4.0.1 or 4.0, I for now will stick with 4.0

    Even though I can't restore back to 4.0, I can stay at 4.0 until the jb is out, if this will help.

    Does somebody in the know, know if it matters for the future jb if you're on 4.0 or 4.0.1?

  7. #7
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by tivoklr View Post
    Does somebody in the know, know if it matters for the future jb if you're on 4.0 or 4.0.1?
    That is not yet clear - the word was - if it was easy to include 4.0.1 (jailbroken) then they would. Otherwise the first release was going to focus only on 4.0

    However since then, it has been confirmed that iPad on 3.2.1 will be supported so I would guess that iOS 4.0.1 on 3GS and 4G will also be supported. (nothing official yet - just a guess)
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

 

 

Similar Threads

  1. Replies: 0
    Last Post: 11-22-2011, 12:00 AM
  2. [All BL] Hard-coded BL-only unlock with stock BB possible?
    By drg in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 04-05-2008, 01:44 AM
  3. 4gb iphone-is there stock in your local stock?
    By IrwanBiz in forum General
    Replies: 1
    Last Post: 10-06-2007, 09:10 PM
  4. Replies: 27
    Last Post: 09-16-2007, 12:30 AM
  5. Replies: 9
    Last Post: 09-03-2007, 10:13 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 06:50 PM.
twitter, follow us!